<TeXmacs|1.0.5>

<style|generic>

<\body>
  <doc-data|<doc-title|Demonstrating perl
  plugin>|<\doc-author-data|<author-name|Yann Dirson>>
    \;
  </doc-author-data>>

  <section|Cartesian way of showing natural integers on a sheet>

  <with|prog-language|perl|prog-session|default|<\session>
    <\output>
      Perl plugin for TeXmacs, v0.1.

      Copyright (c) 2005 Yann Dirson
    </output>

    <\input|perl] >
      my $cols=6; for my $j (0 .. 4) { for my $i (0 .. $cols-1) { printf '%3d
      ', $i + $cols*$j }; print "\\n"}
    </input>

    <\output>
      \ \ 0 \ \ 1 \ \ 2 \ \ 3 \ \ 4 \ \ 5\ 

      \ \ 6 \ \ 7 \ \ 8 \ \ 9 \ 10 \ 11\ 

      \ 12 \ 13 \ 14 \ 15 \ 16 \ 17\ 

      \ 18 \ 19 \ 20 \ 21 \ 22 \ 23\ 

      \ 24 \ 25 \ 26 \ 27 \ 28 \ 29\ 

      \;
    </output>
  </session>>

  <section|Zoomable way>

  <with|prog-language|perl|prog-session|default|<\session>
    <\input|perl] >
      for my $j (1 .. 6) { for my $i (1 .. 6) { printf '%3d ', ($i*$i +
      2*$i*$j + $j*$j -3*$i - $j + 2)/2 }; print "\\n"}
    </input>

    <\output>
      \ \ 1 \ \ 2 \ \ 4 \ \ 7 \ 11 \ 16\ 

      \ \ 3 \ \ 5 \ \ 8 \ 12 \ 17 \ 23\ 

      \ \ 6 \ \ 9 \ 13 \ 18 \ 24 \ 31\ 

      \ 10 \ 14 \ 19 \ 25 \ 32 \ 40\ 

      \ 15 \ 20 \ 26 \ 33 \ 41 \ 50\ 

      \ 21 \ 27 \ 34 \ 42 \ 51 \ 61\ 

      \;
    </output>

    <\input|perl] >
      \;
    </input>
  </session>>
</body>

<\initial>
  <\collection>
    <associate|language|american>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|auto-1|<tuple|1|?>>
    <associate|auto-2|<tuple|2|?>>
  </collection>
</references>